# $Revision: 1.29 $, $Date: 2010/06/06 08:31:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Cache
%define		pnam	Mmap
Summary:	Cache::Mmap - shared data cache using memory mapped files
Summary(pl.UTF-8):	Cache::Mmap - współdzielony bufor danych, używający mapowanych w pamięci plików
Name:		perl-Cache-Mmap
Version:	0.081
Release:	3
Epoch:		1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3170cbdf4232f5b2c578d5cd81527693
URL:		http://search.cpan.org/dist/Cache-Mmap/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a shared data cache, using memory mapped files.
If routines are provided which interact with the underlying data,
access to the cache is completely transparent, and the module handles
all the details of refreshing cache contents, and updating underlying
data, if necessary.

%description -l pl.UTF-8
Ten moduł jest implementacją współdzielonego bufora (cache) danych,
używającego plików mapowanych w pamięci. Jeśli są dostarczone funkcje
współpracujące z podlegającymi danymi, dostęp do bufora jest
całkowicie przezroczysty, a moduł obsługuje wszystkie szczegóły
odświeżania zawartości bufora i uaktualniania buforowanych danych w
miarę potrzeby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README Todo
%dir %{perl_vendorarch}/Cache
%{perl_vendorarch}/Cache/*.pm
%dir %{perl_vendorarch}/auto/Cache
%dir %{perl_vendorarch}/auto/Cache/Mmap
%attr(755,root,root) %{perl_vendorarch}/auto/Cache/Mmap/*.so
%{perl_vendorarch}/auto/Cache/Mmap/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Cache-Mmap.spec,v $
Revision 1.29  2010/06/06 08:31:35  arekm
- release 3

Revision 1.28  2008/02/10 12:01:08  arekm
- rel 2

Revision 1.27  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.26  2007-12-19 15:31:05  zbyniu
- up to 0.081

Revision 1.25  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.23  2006/07/26 18:22:40  glen
- 0.09, Epoch: 1 due 0.081 being bigger, generic URL

Revision 1.22  2004/11/03 21:38:37  paladine
- formatting

Revision 1.21  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.20  2004/05/06 18:43:04  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/18 16:56:33  ankry
- license fixes and unification

Revision 1.18  2004/04/14 11:42:37  ankry
- caps and other cosmetics

Revision 1.17  2004/04/11 16:35:50  migo
- up to 0.081
- Storable is a core module since perl 5.7.3

Revision 1.16  2003/11/23 12:31:53  migo
- up to 0.08
- new bcond style, pass rpmcflags

Revision 1.15  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/07/25 15:08:36  adamg
- updated to 0.07

Revision 1.12  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:37:36  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:27:45  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/12/25 23:45:40  radek
- BR: perl(Storable)

Revision 1.5  2002/09/16 08:16:16  ankry
- added missing dirs, cleaning
- release 2

Revision 1.4  2002/08/28 23:17:12  radek
- version 0.05

Revision 1.3  2002/08/28 11:27:13  radek
- fixed (?) Polish summary

Revision 1.2  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.1  2002/08/27 18:06:39  radek
- new, STBR (weird license constraint will be removed in the next release)
